INTERFACE
SUBROUTINE GPMPFC(&
 & KST,KEN,KFLAG,PGM,&
 & PUT0,PVT0,PDIVT0,PTT0L,PTT0M,PSPDT0L,PSPDT0M,PSVDT0L,PSVDT0M,&
 & PGMVNHX0L,PGMVNHX0M,&
 & PUT9,PVT9,PDIVT9,PTT9L,PTT9M,PSPDT9L,PSPDT9M,PSVDT9L,PSVDT9M,&
 & PUT0L,PVT0L,PVORT0,&
 & PUT9L,PVT9L,PVORT9,&
 & PGFL) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,LVOR ,LUVDER ,&
 & NPROMNH 
USE YOM_YGFL , ONLY : YGFL ,YGFLC
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEN
INTEGER(KIND=JPIM),INTENT(IN) :: KFLAG
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSVDT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSVDT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVNHX0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVNHX0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT9L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT9M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDT9L(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDT9M(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSVDT9L(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSVDT9M(NPROMNH,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT9L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT9L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
END SUBROUTINE GPMPFC
END INTERFACE
